> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter transação externa



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json get /financial/transactions/external/{externalId}
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /financial/transactions/external/{externalId}:
    get:
      tags:
        - Financial
      summary: Obter transação externa
      parameters:
        - schema:
            type: string
          in: path
          name: externalId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  kind:
                    type: string
                    enum:
                      - PAYMENT
                      - INSTALLMENT
                      - SUBSCRIPTION
                  value:
                    type: number
                  createdAt:
                    type: string
                  status:
                    type: string
                  dueDate:
                    type: string
                  paymentDate:
                    type: string
                    nullable: true
                  installmentNumber:
                    type: number
                    nullable: true
                  discount:
                    type: object
                    properties:
                      value:
                        type: number
                      dueDateLimitDays:
                        type: integer
                        exclusiveMinimum: true
                        minimum: 0
                      type:
                        type: string
                        enum:
                          - FIXED
                          - PERCENTAGE
                    additionalProperties: false
                  fine:
                    type: object
                    properties:
                      value:
                        type: number
                      type:
                        type: string
                        enum:
                          - FIXED
                          - PERCENTAGE
                    additionalProperties: false
                  interest:
                    type: object
                    properties:
                      value:
                        type: number
                    additionalProperties: false
                  invoiceUrl:
                    type: string
                  gatewayPaymentUrl:
                    type: string
                required:
                  - kind
                  - value
                  - createdAt
                  - status
                  - dueDate
                  - paymentDate
                  - installmentNumber
                  - discount
                  - fine
                  - interest
                  - invoiceUrl
                  - gatewayPaymentUrl
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````